FreeBSD : WebCalendar -- unauthorized access vulnerability (07ead557-a220-11da-b410-000e0c2e438a)

High Nessus Plugin ID 21380


The remote FreeBSD host is missing a security-related update.


SecurityFocus reports that WebCalendar is affected by an unauthorized access vulnerability. The vulnerability is caused by improper checking of the authentication mechanism before access is being permitted to the 'assistant_edit.php' file.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 21380

File Name: freebsd_pkg_07ead557a22011dab410000e0c2e438a.nasl

Version: $Revision: 1.19 $

Type: local

Published: 2006/05/13

Modified: 2013/06/21

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:WebCalendar, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: No exploit is required

Patch Publication Date: 2006/02/20

Vulnerability Publication Date: 2005/06/27

Reference Information

CVE: CVE-2005-2320

BID: 14072